-- Structure of code from SCT mostly...

--+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
-- For localization purposes, only adjust the name values, tooltipText values, and 
-- the text values in the custom Selection tables.
--
-- I currently do not have a method implemented for loading different localization
-- files, but I could implement the required methods if someone supplied translated
-- localization files; otherwise, simply modify this file if you require different
-- labels.
--+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

-- The localization variables
CEPB.LOCALS = {};

--Check Button option values
CEPB.LOCALS.OPTION_CHECK1 = { name = "Display Player Exp Bar", tooltipText = "Enables or Disables the display of the player's experience bar."};
CEPB.LOCALS.OPTION_CHECK2 = { name = "Display Player Cast Bar", tooltipText = "Enables or Disables the display of the player's casting bar."};
CEPB.LOCALS.OPTION_CHECK3 = { name = "Player Cast Time", tooltipText = "Enables or Disables displaying the time for spells the player casts."};
CEPB.LOCALS.OPTION_CHECK4 = { name = "Player Spell Name", tooltipText = "Enables or Disables displaying the name of the spell being cast by the player."};
CEPB.LOCALS.OPTION_CHECK5 = { name = "Player Percent Bar", tooltipText = "Enables or Disables showing text next to the player's bar for always visible experience remaining purposes."};
CEPB.LOCALS.OPTION_CHECK6 = { name = "Display Pet Bar", tooltipText = "Enables or Disables the display of the pet casting / experience bar."};
CEPB.LOCALS.OPTION_CHECK7 = { name = "Display Pet Exp Bar", tooltipText = "Enables or Disables the display of the pet's experience bar."};
CEPB.LOCALS.OPTION_CHECK8 = { name = "Display Pet Cast Bar", tooltipText = "Enables or Disables the display of the pet's casting bar."};
CEPB.LOCALS.OPTION_CHECK9 = { name = "Pet Cast Time", tooltipText = "Enables or Disables displaying the time for spells the pet casts."};
CEPB.LOCALS.OPTION_CHECK10 = { name = "Pet Spell Name", tooltipText = "Enables or Disables displaying the name of the spell being cast by the pet."};
CEPB.LOCALS.OPTION_CHECK11 = { name = "Pet Percent Bar", tooltipText = "Enables or Disables showing text next to the pet's bar for always visible experience remaining purposes."};

--Slider options values
CEPB.LOCALS.OPTION_SLIDER1 = { name="Player Bar Text Size", minText="7", maxText="12", tooltipText = "Controls the size of the text displayed in the player bar."};
CEPB.LOCALS.OPTION_SLIDER2 = { name="Player Bar Opacity", minText="0", maxText="100", tooltipText = "Controls the opacity of the selected bar."};
CEPB.LOCALS.OPTION_SLIDER3 = { name="Pet Bar Text Size", minText="7", maxText="12", tooltipText = "Controls the size of the text displayed in the pet bar."};
CEPB.LOCALS.OPTION_SLIDER4 = { name="Pet Bar Opacity", minText="0", maxText="100", tooltipText = "Controls the opacity of the selected bar."};

--Spell Color options
CEPB.LOCALS.OPTION_COLOR1 = { name="Player Bar Color", tooltipText = "Controls the color for the selected bar type."};
CEPB.LOCALS.OPTION_COLOR2 = { name="Pet Bar Color", tooltipText = "Controls the color for the selected bar type."};

--Header option values
CEPB.LOCALS.OPTION_HEADER1 = {name="Player Bar", tooltipText = "Player Title"};
CEPB.LOCALS.OPTION_HEADER2 = {name="Pet Bar", tooltipText = "Pet Title"};

--Section option values
CEPB.LOCALS.OPTION_SECTION1 = {name="Player Options", tooltipText = "Player options"};
CEPB.LOCALS.OPTION_SECTION2 = {name="Player Colors", tooltipText = "Player bar colors"};
CEPB.LOCALS.OPTION_SECTION3 = {name="Player Patterns", tooltipText = "Adjust patterns applied to Player"};
CEPB.LOCALS.OPTION_SECTION4 = {name="Player Lookup", tooltipText = "Look up insertable variables"};
CEPB.LOCALS.OPTION_SECTION5 = {name="Pet Options", tooltipText = "Pet options"};
CEPB.LOCALS.OPTION_SECTION6 = {name="Pet Colors", tooltipText = "Pet bar colors"};
CEPB.LOCALS.OPTION_SECTION7 = {name="Pet Patterns", tooltipText = "Adjust patterns applied to Pet"};
CEPB.LOCALS.OPTION_SECTION8 = {name="Pet Lookup", tooltipText = "Look up insertable variables"};

--Selections
-- I use a lot of these to conserve verticale space so I don't have to create more frame pages for the Addon list.
-- To localize, adjust the value in the table.  For example, given ["Default"] = "(not specified)", you would adjust
-- the "(not specified)" part of the table.
local playerFormulaLookups = {
	["A_Default"] = "(not specified)",
	["Name"] = "Player Name",
	["CurrentExp"] = "Current Exp",
	["MaxExp"] = "Max Exp",
	["PercentExp"] = "Exp %",
	["RestExp"] = "Rested Exp",
	["RemainingExp"] = "Remaining Exp",
	["PercentRemainingExp"] = "Remaining Exp %"
}

local playerActionPatterns = {
	["A_Default"] = "(not specified)",
	["HoverPattern"] = "Hover",
	["HoverRestPattern"] = "Hover Rested",
	["NoHoverPattern"] = "Not Hovering",
	["PercentPattern"] = "Percent Bar"
}

local playerBarSettings = {
	["A_Default"] = "(not specified)",
    ["ChannelingBar"] = "Channeling Bar",
    ["CastingBar"] = "Casting Bar",
	["CastingText"] = "Spell Text",
    ["NormalExp"] = "Normal Experience",
    ["RestedExp"] = "Rested Experience",
    ["RestedFutureExp"] = "Future Rested"
}

local petFormulaLookups = {
	["A_Default"] = "(not specified)",
    ["Name"] = "Pet Name",
    ["CurrentExp"] = "Current Exp",
    ["MaxExp"] = "Max Exp",
    ["PercentExp"] = "Exp %",
    ["RemainingExp"] = "Remaining Exp",
    ["PercentRemainingExp"] = "Remaining Exp %"
}

local petActionPatterns = {
	["A_Default"] = "(not specified)",
	["HoverPattern"] = "Hover",
	["NoHoverPattern"] = "Not Hovering",
	["PercentPattern"] = "Percent Bar"
}

local petBarSettings = {
	["A_Default"] = "(not specified)",
    ["ChannelingBar"] = "Channeling Bar",
    ["CastingBar"] = "Casting Bar",
    ["CastingText"] = "Spell Text",
    ["Exp"] = "Experience"
}

--Custom Selections
CEPB.LOCALS.OPTION_SELECTION1 = { name="Player Bar Type", tooltipText = "Customize selected player's bar's settings.", table = playerBarSettings, customID = "PlayerBarSettings"};
CEPB.LOCALS.OPTION_SELECTION2 = { name="Player Action Type", tooltipText = "Apply pattern to the player based on the action selected.", table = playerActionPatterns, customID = "PlayerActionPatterns"};
CEPB.LOCALS.OPTION_SELECTION3 = { name="Player Formula Type", tooltipText = "Type of formula to apply to the player's experience.", table = playerFormulaLookups, customID = "PlayerFormulaLookups"};
CEPB.LOCALS.OPTION_SELECTION4 = { name="Pet Bar Type", tooltipText = "Customize selected pet's bar's settings.", table = petBarSettings, customID = "PetBarSettings"};
CEPB.LOCALS.OPTION_SELECTION5 = { name="Pet Action Type", tooltipText = "Apply pattern to the pet based on the action selected.", table = petActionPatterns, customID = "PetActionPatterns"};
CEPB.LOCALS.OPTION_SELECTION6 = { name="Pet Formula Type", tooltipText = "Type of formula to apply to the pet's experience.", table = petFormulaLookups, customID = "PetFormulaLookups"};

--EditBox options
CEPB.LOCALS.OPTION_EDITBOX1 = { name="Player Pattern", tooltipText = "The text formula to apply to the player bar when the specified criteria is met."};
CEPB.LOCALS.OPTION_EDITBOX2 = { name="Player Variable", tooltipText = "The variable to use in the player's settings."};
CEPB.LOCALS.OPTION_EDITBOX3 = { name="Pet Pattern", tooltipText = "The text formula to apply to the pet bar when the specified criteria is met."};
CEPB.LOCALS.OPTION_EDITBOX4 = { name="Pet Variable", tooltipText = "The variable to use in the pet's settings."};